phrSetLogFileOn {phreeqc} | R Documentation

## Set log file on/off.

### Description

Sets the log file switch on or off. This switch controls whether or not phreeqc writes log messages to the log file. The initial setting is off.

### Usage

    phrSetLogFileOn(value)

### Arguments

`value` | if TRUE, writes output to the the log file.

### Details

Logging must be enabled through the use of the KNOBS -logfile option in order to receive an log messages.

### References

ftp://brrftp.cr.usgs.gov/pub/charlton/iphreeqc/IPhreeqc.pdf

### See Also

Other Log: `phrGetLogFileName`, `phrGetLogFileOn`, `phrGetLogStringsOn`, `phrGetLogStrings`, `phrSetLogFileName`, `phrSetLogStringsOn`

### Examples

    # This example runs ex2 with the log file turned on.
    phrLoadDatabaseString(phreeqc.dat)
    phrSetLogStringsOn(TRUE)

    # turn logging on
    phrAccumulateLine("KNOBS; -logfile true")
    phrRunAccumulated()

    if (is.null(phrRunString(ex2))) {
      cat("see", phrGetLogFileName(), "\n")
    }

[Package phreeqc version 3.4.10 Index]